import { BehaviorSubject } from 'rxjs';
export declare class ItemService {
    userSelectedAnswer: any;
    private hideShow;
    currentState: import("rxjs").Observable<boolean>;
    private clearAnswer;
    currentAnswerState: import("rxjs").Observable<boolean>;
    private userAnswer;
    userAnswerState: import("rxjs").Observable<any>;
    private duplicateValue;
    duplicateValueState: import("rxjs").Observable<any>;
    private validateAnswerValue;
    validateAnswerValueState: import("rxjs").Observable<any>;
    private validateCompleteEntry;
    validateCompleteEntryState: import("rxjs").Observable<any>;
    fontSelected: BehaviorSubject<any>;
    currentFont: import("rxjs").Observable<any>;
    themeSelected: BehaviorSubject<any>;
    currentTheme: import("rxjs").Observable<any>;
    assetImagePath: string;
    assetVideoPath: string;
    assetAudioPath: string;
    currentUserAnswer: any;
    constructor();
    showAnswer(state: boolean): void;
    hideAnswer(state: boolean): void;
    clearAnswerMethod(state: boolean): void;
    clearAnswerMethodFalse(state: boolean): void;
    userAnswerMethod(data: any): void;
    duplicateValueMethod(data: any): void;
    validateAnswerValueMethod(data: any): void;
    validateCompleteEntryMethod(data: any): void;
    userSelectedFont(data: any): void;
    userSelectedTheme(data: any): void;
    setUserAnswer(answer: any): void;
    getUserAnswer(): any;
    set userAnswers(userAnswer: any);
    get userAnswers(): any;
}
